API referenceWhatsApp
POST /whatsapp/templates
Create a custom template (components) or one from Meta's library (library_template_name, pre-approved)
POST
BearerAuthheader
AuthorizationBearer <token>API key sk_...
application/json- body
accountId*stringWhatsApp account id
name*stringcategory*stringValue in
"AUTHENTICATION""MARKETING""UTILITY"language*stringparameter_format?stringcomponents?array<>library_template_name?stringlibrary_template_body_inputs?library_template_button_inputs?array<>message_send_ttl_seconds?integer{success, template}
application/json- response
success?booleantemplate?curl -X POST 'https://example.com/api/v1/whatsapp/templates' \ -H 'Content-Type: application/json' \ -d '{ "accountId": "string", "name": "string", "category": "AUTHENTICATION", "language": "string"}'Example Response
{ "success": true, "template": { "id": "string", "name": "string", "status": "string", "category": "string", "language": "string", "components": [ {} ], "message_send_ttl_seconds": 0, "rejected_reason": "string", "quality_score": {} }}